Subject: Re: [PATCH bpf-next/net v2 0/7] bpf: Add mptcp_subflow bpf_iter support

From: Matthieu Baerts <[email-masked]>
Date: Wed, 15 Jan 2025 10:39:57 +0100

Hello BPF maintainers and reviewers,

On 19/12/2024 16:46, Matthieu Baerts (NGI0) wrote:
> Here is a series from Geliang, adding mptcp_subflow bpf_iter support.
> 
> We are working on extending MPTCP with BPF, e.g. to control the path
> manager -- in charge of the creation, deletion, and announcements of
> subflows (paths) -- and the packet scheduler -- in charge of selecting
> which available path the next data will be sent to. These extensions
> need to iterate over the list of subflows attached to an MPTCP
> connection, and do some specific actions via some new kfunc that will be
> added later on.

(...)

> Changes in v2:
> - Patches 1-2: new ones.
> - Patch 3: remove two kfunc, more restrictions. (Martin)
> - Patch 4: add BUILD_BUG_ON(), more restrictions. (Martin)
> - Patch 7: adaptations due to modifications in patches 1-4.
> - Link to v1: https://lore.kernel.org/r/[email-masked]

The v2 of this series didn't get any reviews, probably because it has
been sent the week before Xmas. Do you prefer if I resend it?

There is no hurry, I can also re-send it later if "now" is not a good time.

Cheers,
Matt
-- 
Sponsored by the NGI0 Core fund.